<DOCTYPE html>
<html>
    <head>
        <title>Exemple 1</title>
    </head>
    <body>
        <h1>API REST - VIDEOTUTORIAL I</h1>
        <br />
        <div id="elements"></div> <!--On es pujarà el resultat de la consulta a l'API-->
    </body>
    <script> 

        var xmlhttp = new XMLHttpRequest(); /*La variable "xmlhttp", guarda l'objecte XMLHttpRequest*/
        var url =  'https://jsonplaceholder.typicode.com/posts'/*La variable "url", on guarda la URL de l'endpoint de l'API d'on fem la petició*/

        xmlhttp.onreadystatechange=function(){ /*Aqui diu que la funció que li passem s'executi qual la propietat 'readyState'==4 i 'status'=200. 
                                                 Si aixó passa, transforma l'objecte JSON que rebem com a resposta a 'responseTest' en un objecte de 
                                                 JS(var=myArr) que es mostrarà per consola.*/

            if(this.readyState==4 && this.status==200){

                var myArr = JSON.parse(this.responseText);
                console.log(myArr);

                myfunction(myArr)

            }

        }

        xmlhttp.open("GET", url, true);/*Obra l'objecte 'xmlhttp' i passem paràmetres de la petició. Fa una petició GET per accedir a l'endpoint guardat dins la variable 'url' i el valor true activa l'asincronia d'AJAX*/
        xmlhttp.send();/*Envia l'objecte 'xmlhttp'.*/

        function myfunction(array){

            var sortida="";
        
            for(var i=0;i<array.length;i++){
                sortida +=array[i].title + "<br \>";
            }

            document.getElementById("elements").innerHTML=sortida
        
        };

    </script> <!--El script s'encarregarà de carregar el nostre motor de recerca AJAX-->
</html>
</DOCTYPE>